--- title: "Get target group list" slug: "devtools-sourcedeploy-targetgrouplist" tags: ["SourceDeploy"] updated: 2026-09-17T10:05:44Z published: 2026-09-17T10:05:44Z canonical: "api.ncloud-docs.com/devtools-sourcedeploy-targetgrouplist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get target group list Available in VPC Get the list of available load balancer target groups connected to an Auto Scaling group. Note To get the list of target groups, the target group created by the Load Balancer service must be associated with an Auto Scaling group. When creating an Auto Scaling group, you must select Load Balancer as the health check criteria and specify a target group to connect. See the following for how to create and connect a resource. - Create and connect from the NAVER Cloud Platform console - See [Load Balancer User Guide](https://guide.ncloud-docs.com/docs/en/networking-loadbalancer-loadbalanceroverview). - See [Auto Scaling User Guide](https://guide.ncloud-docs.com/docs/en/autoscaling-overview). - Create and connect using API - See [Load Balancer (VPC) API Guide](/docs/en/networking-vloadbalancer). - See [Auto Scaling (VPC) API Guide](/docs/en/compute-vautoscaling). ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/autoscaling/{autoScalingName} | ### Request headers For information about the headers common to all SourceDeploy APIs, see [SourceDeploy request headers](/docs/en/devtools-sourcedeploy#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `autoScalingName` | String | Required | Auto Scaling group name - See [Get Auto Scaling group list](/docs/en/devtools-sourcedeploy-autoscalinggrouplist). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpcsourcedeploy.apigw.ntruss.com/api/v1/autoscaling/asg2' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `result` | Object | - | Response result | | `result.targetGroupList` | Array | - | Target group list: [targetGroupList](/docs/en/devtools-sourcedeploy-targetgrouplist#targetGroupList) | #### `targetGroupList` The following describes `targetGroupList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | Number | - | Load balancer target group number | | `name` | String | - | Load balancer target group name | | `permission` | String | - | Ownership of permission to view details - `Allow` \| `Deny` - `Allow`: own - `Deny`: not owned | | `actionName` | String | - | Permission name for viewing details | ### Response status codes For information about the HTTP status codes common to all SourceDeploy APIs, see [SourceDeploy response status codes](/docs/en/devtools-sourcedeploy#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "result": { "targetGroupList": [ { "id": 41****, "name": "target-001", "permission": "Allow", "actionName": "View/getLoadBalancerDetail" } ] } } ```